View Issue Details

IDProjectCategoryView StatusLast Update
0022827mantisbtadministrationpublic2018-04-14 13:58
Reporterlbayle2Assigned Toatrol 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version2.4.0 
Target VersionFixed in Version 
Summary0022827: Wrong dates in "Edit Project Version"
Description

Not sure about the usecase, but datepicker in project version does not handle dates correctly.
please see screenshots

TagsNo tags attached.

Relationships

related to 0023606 closedatrol editing an existing version corrupts date field 
related to 0023578 closeddregad Document need for consistency between "normal" and "datepicker" date formats 

Activities

lbayle2

lbayle2

2017-05-02 07:10

reporter  

mantis240_bug_date_03.PNG (22,011 bytes)
mantis240_bug_date_03.PNG (22,011 bytes)
lbayle2

lbayle2

2017-05-02 07:26

reporter   ~0056759

setting date manualy in the field with ISO format (2017-08-08) updates the datepicker correctly.
save
click edit button again
=> same error, date in datepicker is 8-08-20

lbayle2

lbayle2

2017-05-02 07:41

reporter   ~0056760

datepicker in v1.3.10 is also using ISO format, but is correctly handled



yasser.gawish

yasser.gawish

2017-11-16 18:14

reporter   ~0058213

Not sure if This should be a new bug or not, Date picker always switch to '١٢٣٤٥٦٧٨٩٠' numbers and this causes issue while saving.
Note: Operating System Used is "mac os", keyboard "Arabic-PC"
Steps to reproduce:
1-Change preferred language in account preference to Arabic
2-Go to manage project
3- Add new version
4-Edit version
5-Do any change & save

Expected: Data should be saved correctly
Actual: Gets "APPLICATION ERROR 0000021"



atrol

atrol

2018-04-02 15:12

developer   ~0059408

Please check if setting $g_datetime_picker_format fixes the issue.
Especially have a look at the note and the warning at https://www.mantisbt.org/docs/master/en-US/Admin_Guide/html-desktop/#admin.config.date

sanschm

sanschm

2018-04-04 02:37

reporter   ~0059416

Setting the Property $g_datetime_picker_format fixes the issue for me.

atrol

atrol

2018-04-04 02:49

developer   ~0059417

Thanks @sanschm for confirming.
I would like also the reporter @lbayle2 to confirm before I close the issue.

lbayle2

lbayle2

2018-04-04 05:07

reporter   ~0059421

I checked on MantisBT v2.12.0 (CentOS7, PHP7)
$g_datetime_picker_format='d-m-Y H:i';

The field 'Date Order' is now empty (previously a wrong date was displayed)
clicking on the date picker opens current month (april 2018)

So the expected date is not displayed.

am I setting $g_datetime_picker_format correctly ?

atrol

atrol

2018-04-04 05:24

developer   ~0059422

No time to check at the moment, but this should work

$g_datetime_picker_format = 'DD-MM-Y HH:mm';
lbayle2

lbayle2

2018-04-04 06:42

reporter   ~0059426

validated, $g_datetime_picker_format fixes the problem.

it's a bit confusing that the date format is different from the other date variables, but pb is fixed so it's all good.

thank you all !

Issue History

Date Modified Username Field Change
2017-05-02 07:10 lbayle2 New Issue
2017-05-02 07:10 lbayle2 File Added: mantis240_bug_date_01.PNG
2017-05-02 07:10 lbayle2 File Added: mantis240_bug_date_02.PNG
2017-05-02 07:10 lbayle2 File Added: mantis240_bug_date_03.PNG
2017-05-02 07:10 lbayle2 File Added: mantis240_bug_date_04.PNG
2017-05-02 07:26 lbayle2 Note Added: 0056759
2017-05-02 07:41 lbayle2 File Added: mantis1310_bug_date_05.PNG
2017-05-02 07:41 lbayle2 Note Added: 0056760
2017-11-14 16:02 atrol Relationship added related to 0023606
2017-11-14 16:04 atrol Relationship added related to 0023578
2017-11-16 18:14 yasser.gawish File Added: Screen Shot 2017-11-17 at 1.02.03 AM.png
2017-11-16 18:14 yasser.gawish File Added: Screen Shot 2017-11-17 at 1.01.29 AM.png
2017-11-16 18:14 yasser.gawish File Added: Screen Shot 2017-11-17 at 1.00.51 AM.png
2017-11-16 18:14 yasser.gawish Note Added: 0058213
2018-04-02 15:12 atrol Status new => feedback
2018-04-02 15:12 atrol Note Added: 0059408
2018-04-04 02:37 sanschm Note Added: 0059416
2018-04-04 02:49 atrol Note Added: 0059417
2018-04-04 05:07 lbayle2 Note Added: 0059421
2018-04-04 05:07 lbayle2 Status feedback => new
2018-04-04 05:24 atrol Status new => feedback
2018-04-04 05:24 atrol Note Added: 0059422
2018-04-04 06:42 lbayle2 Note Added: 0059426
2018-04-04 06:42 lbayle2 Status feedback => new
2018-04-04 07:18 atrol Assigned To => atrol
2018-04-04 07:18 atrol Status new => resolved
2018-04-04 07:18 atrol Resolution open => no change required
2018-04-14 13:58 atrol Status resolved => closed